## org.omg.CORBA
Class INV_IDENTHelper

    java.lang.Object
      |
      +--org.omg.CORBA.INV_IDENTHelper

public class INV_IDENTHelper
extends java.lang.Object

Helper class for : INV_IDENT

Author:
  OpenORB Compiler

Constructor Summary
`INV_IDENTHelper()`

Method Summary
`static INV_IDENT` `extract(Any a)` Extract INV_IDENT from an any
`static java.lang.String` `id()` Return the INV_IDENT IDL ID
`static void` `insert(Any a, INV_IDENT t)` Insert INV_IDENT into an any
`static INV_IDENT` `read(InputStream istream)` Read INV_IDENT from a marshalled stream
`static TypeCode` `type()` Return the INV_IDENT TypeCode
`static void` `write(OutputStream ostream, INV_IDENT value)` Write INV_IDENT into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### INV_IDENTHelper

    public INV_IDENTHelper()

Method Detail

### insert

    public static void insert(Any a,
                              INV_IDENT t)

  Insert INV_IDENT into an any
  Parameters:
    `a` - an any
    `t` - INV_IDENT value

### extract

    public static INV_IDENT extract(Any a)

  Extract INV_IDENT from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted INV_IDENT value

### type

    public static TypeCode type()

  Return the INV_IDENT TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the INV_IDENT IDL ID
  Returns:
    an ID

### read

    public static INV_IDENT read(InputStream istream)

  Read INV_IDENT from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed INV_IDENT value

### write

    public static void write(OutputStream ostream,
                             INV_IDENT value)

  Write INV_IDENT into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - INV_IDENT value